[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

building gdb for sparc with gcc.3.3.3



On Wed, 2004-11-17 at 07:38 -0500, Jerry Needell wrote:
> I thought this had been addressed earlier, but I have not been able to 
> find anything in the archives or GNATS so I'll ask it here.
> 
> i am trying to build the sparc-rtems toolset on a Fedora Core 2 system 
> using gcc. 3.3.3 but gdb 5.2 fails to build because it contains 
> multi-string litererals which are not permitted by gcc 3.3.3. Is there 
> a patch to fix this or am I just missing some other piece of 
> information.
Seems so. This issue is supposed to be addressed in rtems-gdb patches.
So if you insist on rebuilding the toolchain, get yourself the
*.nosrc.rpms and try to get them building.

However, these also won't bring you much further, because you'll then
hit another bug in gdb-5.2, nobody has taken care about so far..

>  Is anyone else using FC2 as a development platform?
Until last week, yes - I just switched to FC3.

However, you can simply use the RH-7.3 binaries from
ftp://ftp.rtems.com.

In case you didn't already do, I'd recommend you to install apt from 
fedora.us and then to install
ftp://ftp.rtems.com/pub/rtems/linux/redhat/7.3/i386/apt/RPMS.rtems-4.6/rtems-4.6-apt-conf-0.0-0.noarch.rpm

It configures apt in such way that it will automatically d/l and install
the RH-7.3 rpms at rtems.com. Unfortunately there currently are no FC*
rpms available. In general, these RPMS are rebuildable under FC2,
however rtems-4.6-sparc-rtems-gdb-5.2 is an exception.

Ralf